<?xml version="1.0" encoding="UTF-8"?>
<databaseChangeLog
        xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
        xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog
                      http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-4.9.xsd">

    <changeSet id="1687945303536-1" author="subbotin">
        <createTable tableName="order">
            <column name="id" type="BIGINT">
                <constraints nullable="false" primaryKey="true" primaryKeyName="pk_order"/>
            </column>
            <column name="amount" type="DECIMAL(19, 2)"/>
            <column name="owner_id" type="BIGINT"/>
        </createTable>
        <addForeignKeyConstraint baseColumnNames="owner_id" baseTableName="order" constraintName="FK_ORDER_ON_OWNER" referencedColumnNames="id" referencedTableName="owner"/>
    </changeSet>
</databaseChangeLog>